Subject: Re: bug#21969: VC opens new window to display minimal messages

From: David Reitter <[email-masked]>
Date: Sun, 22 Nov 2015 11:58:47 -0500

On Nov 22, 2015, at 11:20 AM, Eli Zaretskii <[email-masked]> wrote:

> FWIW, I think changing it back to synchronous would be a step
> backward.

From a technical perspective, perhaps, but not for the user interface in the situation that I described (error message / no changes).

As a user, I would like an echo area message if there are no changes, and a popup window otherwise.  How that is implemented is secondary.

Now, this brings up another idea:  Why not do a fast synchronous status check (if we don’t know) to decide whether to call “diff” asynchronously?

This would be the alternative to doing an async call and opening the window only after a timeout or when the first output arrives.

> And I also won't like the appearing and disappearing window.  Just
> using the popup window always sounds like a better solution.

I think we’ve discarded the appearing/disappearing window idea.